# $Revision: 1.34 $, $Date: 2012/01/09 18:03:35 $
#
# Conditional build:
%bcond_without	tiles		# build non-tiles version
#
Summary:	stone soup :: crawl clone
Summary(pl.UTF-8):	stone soup :: klon crawla
Name:		stone_soup
Version:	0.9.1
Release:	2
License:	Nethack Like
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/crawl-ref/%{name}-%{version}.tar.bz2
# Source0-md5:	9dc4043b43f69461a44af1cb1480dd5e
Source1:	%{name}.desktop
Patch0:		%{name}-systemlua.patch
Patch1:		%{name}-makefile.patch
Patch2:		%{name}-tiles.patch
Patch3:		%{name}-link.patch
URL:		http://crawl.develz.org/
%if %{with tiles}
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
%endif
%{?with_tiles:BuildRequires:	SDL_image-devel}
BuildRequires:	bison
BuildRequires:	cal3d-devel
BuildRequires:	flex
%{?with_tiles:BuildRequires:	freetype-devel}
%{?with_tiles:BuildRequires:	libpng-devel}
BuildRequires:	lua51-devel
BuildRequires:	ncurses-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dungeon Crawl Stone Soup is a fun, free rogue-like game of exploration
and treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

Dungeon Crawl Stone Soup is a variant of Linley's Dungeon Crawl that's
openly developed and invites participation from the Crawl community.

%description -l pl.UTF-8
Dungeon Crawl Stone Soup jest zabawną darmową grą typu roguelike, w
której gracz zwiedza świat poszukując skarbów w lochach pełnych
niebezpiecznych i nieprzyjaznych potworów w celu odnalezienia
tajemniczej baśniowej Kuli Zota.

Dungeon Crawl Stone Soup jest wariantem gry Dungeon Crawl stworzonej
przez Linleya. Jest on otwarcie rozwijany również przez społeczeństwo
Crawla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if %{with tiles}
%patch2 -p1
%else
%patch3 -p1
%endif

%build
%{__make} -C source \
	prefix="%{_prefix}" \
	SAVEDIR="/var/games/stone_soup/" \
	DATADIR="%{_datadir}/stone_soup/" \
	%{?with_tiles:TILES="y"} \
	V="y" \
	CXX="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} -C source install \
	prefix="%{_prefix}" \
	bin_prefix="bin" \
	SAVEDIR="/var/games/stone_soup/" \
	DATADIR="%{_datadir}/stone_soup/" \
	%{?with_tiles:TILES="y"} \
	V="y" \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -a source/dat/tiles/stone_soup_icon-32x32.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS.txt README.* docs
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/%{name}
%attr(775,root,games) %dir /var/games/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stone_soup.spec,v $
Revision 1.34  2012/01/09 18:03:35  lisu
- rel 2

Revision 1.33  2011/09/06 07:18:21  lisu
- 0.9.1

Revision 1.32  2011/08/16 08:40:39  lisu
- updated to 0.9.0

Revision 1.31  2011/06/14 14:40:45  lisu
- updated to 0.8.1

Revision 1.30  2011/04/27 11:04:53  lisu
- updated to 0.8.0

Revision 1.29  2011/02/14 10:04:17  lisu
- up to 0.7.2

Revision 1.28  2010/12/30 21:49:36  lisu
- add icon and desktop
- some misc changes

Revision 1.27  2010/10/29 20:23:20  lisu
- BR: cal3d-devel

Revision 1.26  2010/07/25 12:30:41  lisu
- 0.7.1

Revision 1.25  2010/07/24 13:08:53  lisu
- updated to 0.7.0
- patches updated

Revision 1.24  2010/06/22 10:09:42  lisu
- up to 0.6.1
- add patch to fix linking when build without tiles
- change description for bcond

Revision 1.23  2010/05/13 22:55:16  sparky
- BR: perl-base, pkgconfig, which
- dropped BR: byacc

Revision 1.22  2010/04/09 13:22:06  lisu
- fix tiles build using -tiles.patch

Revision 1.21  2010/04/09 11:45:30  lisu
- remove unneeded -systemsqlite.patch

Revision 1.20  2010/04/09 11:42:05  lisu
- reapply -systemlua.patch
- ncurses-devel required also for non-tiles version

Revision 1.19  2010/04/09 11:06:31  lisu
- remove obsoleted -cflags.patch

Revision 1.18  2010/04/09 11:05:49  lisu
- adapter

Revision 1.17  2010/04/09 11:03:17  lisu
- apply updated -makefile.patch
- verbose build
- clean up

Revision 1.16  2010/04/09 09:45:12  lisu
- start update to 0.6.0
- most options given as make paramaters
- nfy

Revision 1.15  2010/03/05 15:54:26  lisu
- new URL

Revision 1.14  2009/10/14 12:18:09  lisu
- up to 0.5.2

Revision 1.13  2009/08/14 08:26:51  lisu
- group chnaged to X11/Applications/Games

Revision 1.12  2009/08/14 08:21:19  lisu
- tiles bcond (build tiles version by default)
- BRs for tiles version: OpenGL-GLU-devel, OpenGL-devel, SDL_image-devel, freetype-devel, libpng-devel
- update patches for tiles version, add tiles.patch

Revision 1.11  2009/08/13 13:08:25  lisu
- typo

Revision 1.10  2009/08/13 12:58:13  lisu
- don't install the same dirs twice

Revision 1.9  2009/08/13 12:38:45  lisu
- works fine, rel 1

Revision 1.8  2009/08/13 12:37:53  lisu
- wider desc
- pl

Revision 1.7  2009/08/13 12:19:48  lisu
- better install workaround (makefile.patch updated)

Revision 1.6  2009/08/12 14:51:40  lisu
- BR: sqlite3-devel

Revision 1.5  2009/08/12 13:47:22  lisu
- proper group is Applications/Games

Revision 1.4  2009/08/12 13:44:48  lisu
- proper BR for lua51-devel
- CXX, pass OPTFLAGS and LDFLAGS (cflags.patch)
- use our sqlite3 (systemsqlite3.patch)

Revision 1.3  2009/08/12 13:07:39  lisu
- clean up
- include docs

Revision 1.2  2009/08/12 12:56:39  lisu
- up to 0.5.1
- BRs: ncurses-devel, lua51-devel
- nfy

Revision 1.1  2008/08/29 23:03:53  agaran
- initial, works for me (mostly), but probably is still broken (especially
rights on /var/games/stone_soup)

